Index: /trunk/sources/HeuristicLab.Services.Deployment.DataAccess/3.3/PluginStoreClasses.designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Services.Deployment.DataAccess/3.3/PluginStoreClasses.designer.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Services.Deployment.DataAccess/3.3/PluginStoreClasses.designer.cs	(revision 4068)
@@ -10,23 +10,16 @@
 //------------------------------------------------------------------------------
 
-namespace HeuristicLab.Services.Deployment.DataAccess
-{
-	using System.Data.Linq;
-	using System.Data.Linq.Mapping;
-	using System.Data;
-	using System.Collections.Generic;
-	using System.Reflection;
-	using System.Linq;
-	using System.Linq.Expressions;
-	using System.ComponentModel;
-	using System;
-	
-	
-	[global::System.Data.Linq.Mapping.DatabaseAttribute(Name="HeuristicLab.PluginStore")]
-	public partial class PluginStoreClassesDataContext : System.Data.Linq.DataContext
-	{
-		
-		private static System.Data.Linq.Mapping.MappingSource mappingSource = new AttributeMappingSource();
-		
+namespace HeuristicLab.Services.Deployment.DataAccess {
+  using System;
+  using System.ComponentModel;
+  using System.Data.Linq;
+  using System.Data.Linq.Mapping;
+
+
+  [global::System.Data.Linq.Mapping.DatabaseAttribute(Name = "HeuristicLab.PluginStore")]
+  public partial class PluginStoreClassesDataContext : System.Data.Linq.DataContext {
+
+    private static System.Data.Linq.Mapping.MappingSource mappingSource = new AttributeMappingSource();
+
     #region Extensibility Method Definitions
     partial void OnCreated();
@@ -47,86 +40,70 @@
     partial void DeleteProduct(Product instance);
     #endregion
-		
-		public PluginStoreClassesDataContext() : 
-				base(global::HeuristicLab.Services.Deployment.DataAccess.Properties.Settings.Default.HeuristicLab_PluginStoreConnectionString, mappingSource)
-		{
-			OnCreated();
-		}
-		
-		public PluginStoreClassesDataContext(string connection) : 
-				base(connection, mappingSource)
-		{
-			OnCreated();
-		}
-		
-		public PluginStoreClassesDataContext(System.Data.IDbConnection connection) : 
-				base(connection, mappingSource)
-		{
-			OnCreated();
-		}
-		
-		public PluginStoreClassesDataContext(string connection, System.Data.Linq.Mapping.MappingSource mappingSource) : 
-				base(connection, mappingSource)
-		{
-			OnCreated();
-		}
-		
-		public PluginStoreClassesDataContext(System.Data.IDbConnection connection, System.Data.Linq.Mapping.MappingSource mappingSource) : 
-				base(connection, mappingSource)
-		{
-			OnCreated();
-		}
-		
-		public System.Data.Linq.Table<Dependency> Dependencies
-		{
-			get
-			{
-				return this.GetTable<Dependency>();
-			}
-		}
-		
-		public System.Data.Linq.Table<ProductPlugin> ProductPlugins
-		{
-			get
-			{
-				return this.GetTable<ProductPlugin>();
-			}
-		}
-		
-		public System.Data.Linq.Table<Plugin> Plugins
-		{
-			get
-			{
-				return this.GetTable<Plugin>();
-			}
-		}
-		
-		public System.Data.Linq.Table<PluginPackage> PluginPackages
-		{
-			get
-			{
-				return this.GetTable<PluginPackage>();
-			}
-		}
-		
-		public System.Data.Linq.Table<Product> Products
-		{
-			get
-			{
-				return this.GetTable<Product>();
-			}
-		}
-	}
-	
-	[global::System.Data.Linq.Mapping.TableAttribute(Name="dbo.Dependencies")]
-	public partial class Dependency : INotifyPropertyChanging, INotifyPropertyChanged
-	{
-		
-		private static PropertyChangingEventArgs emptyChangingEventArgs = new PropertyChangingEventArgs(String.Empty);
-		
-		private long _PluginId;
-		
-		private long _DependencyId;
-		
+
+    public PluginStoreClassesDataContext() :
+      base(global::HeuristicLab.Services.Deployment.DataAccess.Properties.Settings.Default.HeuristicLab_PluginStoreConnectionString, mappingSource) {
+      OnCreated();
+    }
+
+    public PluginStoreClassesDataContext(string connection) :
+      base(connection, mappingSource) {
+      OnCreated();
+    }
+
+    public PluginStoreClassesDataContext(System.Data.IDbConnection connection) :
+      base(connection, mappingSource) {
+      OnCreated();
+    }
+
+    public PluginStoreClassesDataContext(string connection, System.Data.Linq.Mapping.MappingSource mappingSource) :
+      base(connection, mappingSource) {
+      OnCreated();
+    }
+
+    public PluginStoreClassesDataContext(System.Data.IDbConnection connection, System.Data.Linq.Mapping.MappingSource mappingSource) :
+      base(connection, mappingSource) {
+      OnCreated();
+    }
+
+    public System.Data.Linq.Table<Dependency> Dependencies {
+      get {
+        return this.GetTable<Dependency>();
+      }
+    }
+
+    public System.Data.Linq.Table<ProductPlugin> ProductPlugins {
+      get {
+        return this.GetTable<ProductPlugin>();
+      }
+    }
+
+    public System.Data.Linq.Table<Plugin> Plugins {
+      get {
+        return this.GetTable<Plugin>();
+      }
+    }
+
+    public System.Data.Linq.Table<PluginPackage> PluginPackages {
+      get {
+        return this.GetTable<PluginPackage>();
+      }
+    }
+
+    public System.Data.Linq.Table<Product> Products {
+      get {
+        return this.GetTable<Product>();
+      }
+    }
+  }
+
+  [global::System.Data.Linq.Mapping.TableAttribute(Name = "dbo.Dependencies")]
+  public partial class Dependency : INotifyPropertyChanging, INotifyPropertyChanged {
+
+    private static PropertyChangingEventArgs emptyChangingEventArgs = new PropertyChangingEventArgs(String.Empty);
+
+    private long _PluginId;
+
+    private long _DependencyId;
+
     #region Extensibility Method Definitions
     partial void OnLoaded();
@@ -138,81 +115,67 @@
     partial void OnDependencyIdChanged();
     #endregion
-		
-		public Dependency()
-		{
-			OnCreated();
-		}
-		
-		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_PluginId", DbType="BigInt NOT NULL", IsPrimaryKey=true)]
-		public long PluginId
-		{
-			get
-			{
-				return this._PluginId;
-			}
-			set
-			{
-				if ((this._PluginId != value))
-				{
-					this.OnPluginIdChanging(value);
-					this.SendPropertyChanging();
-					this._PluginId = value;
-					this.SendPropertyChanged("PluginId");
-					this.OnPluginIdChanged();
-				}
-			}
-		}
-		
-		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_DependencyId", DbType="BigInt NOT NULL", IsPrimaryKey=true)]
-		public long DependencyId
-		{
-			get
-			{
-				return this._DependencyId;
-			}
-			set
-			{
-				if ((this._DependencyId != value))
-				{
-					this.OnDependencyIdChanging(value);
-					this.SendPropertyChanging();
-					this._DependencyId = value;
-					this.SendPropertyChanged("DependencyId");
-					this.OnDependencyIdChanged();
-				}
-			}
-		}
-		
-		public event PropertyChangingEventHandler PropertyChanging;
-		
-		public event PropertyChangedEventHandler PropertyChanged;
-		
-		protected virtual void SendPropertyChanging()
-		{
-			if ((this.PropertyChanging != null))
-			{
-				this.PropertyChanging(this, emptyChangingEventArgs);
-			}
-		}
-		
-		protected virtual void SendPropertyChanged(String propertyName)
-		{
-			if ((this.PropertyChanged != null))
-			{
-				this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
-			}
-		}
-	}
-	
-	[global::System.Data.Linq.Mapping.TableAttribute(Name="dbo.ProductPlugin")]
-	public partial class ProductPlugin : INotifyPropertyChanging, INotifyPropertyChanged
-	{
-		
-		private static PropertyChangingEventArgs emptyChangingEventArgs = new PropertyChangingEventArgs(String.Empty);
-		
-		private long _ProductId;
-		
-		private long _PluginId;
-		
+
+    public Dependency() {
+      OnCreated();
+    }
+
+    [global::System.Data.Linq.Mapping.ColumnAttribute(Storage = "_PluginId", DbType = "BigInt NOT NULL", IsPrimaryKey = true)]
+    public long PluginId {
+      get {
+        return this._PluginId;
+      }
+      set {
+        if ((this._PluginId != value)) {
+          this.OnPluginIdChanging(value);
+          this.SendPropertyChanging();
+          this._PluginId = value;
+          this.SendPropertyChanged("PluginId");
+          this.OnPluginIdChanged();
+        }
+      }
+    }
+
+    [global::System.Data.Linq.Mapping.ColumnAttribute(Storage = "_DependencyId", DbType = "BigInt NOT NULL", IsPrimaryKey = true)]
+    public long DependencyId {
+      get {
+        return this._DependencyId;
+      }
+      set {
+        if ((this._DependencyId != value)) {
+          this.OnDependencyIdChanging(value);
+          this.SendPropertyChanging();
+          this._DependencyId = value;
+          this.SendPropertyChanged("DependencyId");
+          this.OnDependencyIdChanged();
+        }
+      }
+    }
+
+    public event PropertyChangingEventHandler PropertyChanging;
+
+    public event PropertyChangedEventHandler PropertyChanged;
+
+    protected virtual void SendPropertyChanging() {
+      if ((this.PropertyChanging != null)) {
+        this.PropertyChanging(this, emptyChangingEventArgs);
+      }
+    }
+
+    protected virtual void SendPropertyChanged(String propertyName) {
+      if ((this.PropertyChanged != null)) {
+        this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
+      }
+    }
+  }
+
+  [global::System.Data.Linq.Mapping.TableAttribute(Name = "dbo.ProductPlugin")]
+  public partial class ProductPlugin : INotifyPropertyChanging, INotifyPropertyChanged {
+
+    private static PropertyChangingEventArgs emptyChangingEventArgs = new PropertyChangingEventArgs(String.Empty);
+
+    private long _ProductId;
+
+    private long _PluginId;
+
     #region Extensibility Method Definitions
     partial void OnLoaded();
@@ -224,91 +187,77 @@
     partial void OnPluginIdChanged();
     #endregion
-		
-		public ProductPlugin()
-		{
-			OnCreated();
-		}
-		
-		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_ProductId", DbType="BigInt NOT NULL", IsPrimaryKey=true)]
-		public long ProductId
-		{
-			get
-			{
-				return this._ProductId;
-			}
-			set
-			{
-				if ((this._ProductId != value))
-				{
-					this.OnProductIdChanging(value);
-					this.SendPropertyChanging();
-					this._ProductId = value;
-					this.SendPropertyChanged("ProductId");
-					this.OnProductIdChanged();
-				}
-			}
-		}
-		
-		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_PluginId", DbType="BigInt NOT NULL", IsPrimaryKey=true)]
-		public long PluginId
-		{
-			get
-			{
-				return this._PluginId;
-			}
-			set
-			{
-				if ((this._PluginId != value))
-				{
-					this.OnPluginIdChanging(value);
-					this.SendPropertyChanging();
-					this._PluginId = value;
-					this.SendPropertyChanged("PluginId");
-					this.OnPluginIdChanged();
-				}
-			}
-		}
-		
-		public event PropertyChangingEventHandler PropertyChanging;
-		
-		public event PropertyChangedEventHandler PropertyChanged;
-		
-		protected virtual void SendPropertyChanging()
-		{
-			if ((this.PropertyChanging != null))
-			{
-				this.PropertyChanging(this, emptyChangingEventArgs);
-			}
-		}
-		
-		protected virtual void SendPropertyChanged(String propertyName)
-		{
-			if ((this.PropertyChanged != null))
-			{
-				this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
-			}
-		}
-	}
-	
-	[global::System.Data.Linq.Mapping.TableAttribute(Name="dbo.Plugin")]
-	public partial class Plugin : INotifyPropertyChanging, INotifyPropertyChanged
-	{
-		
-		private static PropertyChangingEventArgs emptyChangingEventArgs = new PropertyChangingEventArgs(String.Empty);
-		
-		private long _Id;
-		
-		private string _Name;
-		
-		private string _Version;
-		
-		private string _ContactName;
-		
-		private string _ContactEmail;
-		
-		private string _License;
-		
-		private EntityRef<PluginPackage> _PluginPackage;
-		
+
+    public ProductPlugin() {
+      OnCreated();
+    }
+
+    [global::System.Data.Linq.Mapping.ColumnAttribute(Storage = "_ProductId", DbType = "BigInt NOT NULL", IsPrimaryKey = true)]
+    public long ProductId {
+      get {
+        return this._ProductId;
+      }
+      set {
+        if ((this._ProductId != value)) {
+          this.OnProductIdChanging(value);
+          this.SendPropertyChanging();
+          this._ProductId = value;
+          this.SendPropertyChanged("ProductId");
+          this.OnProductIdChanged();
+        }
+      }
+    }
+
+    [global::System.Data.Linq.Mapping.ColumnAttribute(Storage = "_PluginId", DbType = "BigInt NOT NULL", IsPrimaryKey = true)]
+    public long PluginId {
+      get {
+        return this._PluginId;
+      }
+      set {
+        if ((this._PluginId != value)) {
+          this.OnPluginIdChanging(value);
+          this.SendPropertyChanging();
+          this._PluginId = value;
+          this.SendPropertyChanged("PluginId");
+          this.OnPluginIdChanged();
+        }
+      }
+    }
+
+    public event PropertyChangingEventHandler PropertyChanging;
+
+    public event PropertyChangedEventHandler PropertyChanged;
+
+    protected virtual void SendPropertyChanging() {
+      if ((this.PropertyChanging != null)) {
+        this.PropertyChanging(this, emptyChangingEventArgs);
+      }
+    }
+
+    protected virtual void SendPropertyChanged(String propertyName) {
+      if ((this.PropertyChanged != null)) {
+        this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
+      }
+    }
+  }
+
+  [global::System.Data.Linq.Mapping.TableAttribute(Name = "dbo.Plugin")]
+  public partial class Plugin : INotifyPropertyChanging, INotifyPropertyChanged {
+
+    private static PropertyChangingEventArgs emptyChangingEventArgs = new PropertyChangingEventArgs(String.Empty);
+
+    private long _Id;
+
+    private string _Name;
+
+    private string _Version;
+
+    private string _ContactName;
+
+    private string _ContactEmail;
+
+    private string _License;
+
+    private EntityRef<PluginPackage> _PluginPackage;
+
     #region Extensibility Method Definitions
     partial void OnLoaded();
@@ -328,193 +277,157 @@
     partial void OnLicenseChanged();
     #endregion
-		
-		public Plugin()
-		{
-			this._PluginPackage = default(EntityRef<PluginPackage>);
-			OnCreated();
-		}
-		
-		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Id", AutoSync=AutoSync.OnInsert, DbType="BigInt NOT NULL IDENTITY", IsPrimaryKey=true, IsDbGenerated=true)]
-		public long Id
-		{
-			get
-			{
-				return this._Id;
-			}
-			set
-			{
-				if ((this._Id != value))
-				{
-					this.OnIdChanging(value);
-					this.SendPropertyChanging();
-					this._Id = value;
-					this.SendPropertyChanged("Id");
-					this.OnIdChanged();
-				}
-			}
-		}
-		
-		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Name", DbType="NVarChar(300) NOT NULL", CanBeNull=false)]
-		public string Name
-		{
-			get
-			{
-				return this._Name;
-			}
-			set
-			{
-				if ((this._Name != value))
-				{
-					this.OnNameChanging(value);
-					this.SendPropertyChanging();
-					this._Name = value;
-					this.SendPropertyChanged("Name");
-					this.OnNameChanged();
-				}
-			}
-		}
-		
-		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Version", DbType="NVarChar(50) NOT NULL", CanBeNull=false)]
-		public string Version
-		{
-			get
-			{
-				return this._Version;
-			}
-			set
-			{
-				if ((this._Version != value))
-				{
-					this.OnVersionChanging(value);
-					this.SendPropertyChanging();
-					this._Version = value;
-					this.SendPropertyChanged("Version");
-					this.OnVersionChanged();
-				}
-			}
-		}
-		
-		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_ContactName", DbType="Text", UpdateCheck=UpdateCheck.Never)]
-		public string ContactName
-		{
-			get
-			{
-				return this._ContactName;
-			}
-			set
-			{
-				if ((this._ContactName != value))
-				{
-					this.OnContactNameChanging(value);
-					this.SendPropertyChanging();
-					this._ContactName = value;
-					this.SendPropertyChanged("ContactName");
-					this.OnContactNameChanged();
-				}
-			}
-		}
-		
-		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_ContactEmail", DbType="Text", UpdateCheck=UpdateCheck.Never)]
-		public string ContactEmail
-		{
-			get
-			{
-				return this._ContactEmail;
-			}
-			set
-			{
-				if ((this._ContactEmail != value))
-				{
-					this.OnContactEmailChanging(value);
-					this.SendPropertyChanging();
-					this._ContactEmail = value;
-					this.SendPropertyChanged("ContactEmail");
-					this.OnContactEmailChanged();
-				}
-			}
-		}
-		
-		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_License", DbType="Text", UpdateCheck=UpdateCheck.Never)]
-		public string License
-		{
-			get
-			{
-				return this._License;
-			}
-			set
-			{
-				if ((this._License != value))
-				{
-					this.OnLicenseChanging(value);
-					this.SendPropertyChanging();
-					this._License = value;
-					this.SendPropertyChanged("License");
-					this.OnLicenseChanged();
-				}
-			}
-		}
-		
-		[global::System.Data.Linq.Mapping.AssociationAttribute(Name="Plugin_PluginPackage", Storage="_PluginPackage", ThisKey="Id", OtherKey="PluginId", IsUnique=true, IsForeignKey=false)]
-		public PluginPackage PluginPackage
-		{
-			get
-			{
-				return this._PluginPackage.Entity;
-			}
-			set
-			{
-				PluginPackage previousValue = this._PluginPackage.Entity;
-				if (((previousValue != value) 
-							|| (this._PluginPackage.HasLoadedOrAssignedValue == false)))
-				{
-					this.SendPropertyChanging();
-					if ((previousValue != null))
-					{
-						this._PluginPackage.Entity = null;
-						previousValue.Plugin = null;
-					}
-					this._PluginPackage.Entity = value;
-					if ((value != null))
-					{
-						value.Plugin = this;
-					}
-					this.SendPropertyChanged("PluginPackage");
-				}
-			}
-		}
-		
-		public event PropertyChangingEventHandler PropertyChanging;
-		
-		public event PropertyChangedEventHandler PropertyChanged;
-		
-		protected virtual void SendPropertyChanging()
-		{
-			if ((this.PropertyChanging != null))
-			{
-				this.PropertyChanging(this, emptyChangingEventArgs);
-			}
-		}
-		
-		protected virtual void SendPropertyChanged(String propertyName)
-		{
-			if ((this.PropertyChanged != null))
-			{
-				this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
-			}
-		}
-	}
-	
-	[global::System.Data.Linq.Mapping.TableAttribute(Name="dbo.PluginPackage")]
-	public partial class PluginPackage : INotifyPropertyChanging, INotifyPropertyChanged
-	{
-		
-		private static PropertyChangingEventArgs emptyChangingEventArgs = new PropertyChangingEventArgs(String.Empty);
-		
-		private long _PluginId;
-		
-		private System.Data.Linq.Binary _Data;
-		
-		private EntityRef<Plugin> _Plugin;
-		
+
+    public Plugin() {
+      this._PluginPackage = default(EntityRef<PluginPackage>);
+      OnCreated();
+    }
+
+    [global::System.Data.Linq.Mapping.ColumnAttribute(Storage = "_Id", AutoSync = AutoSync.OnInsert, DbType = "BigInt NOT NULL IDENTITY", IsPrimaryKey = true, IsDbGenerated = true)]
+    public long Id {
+      get {
+        return this._Id;
+      }
+      set {
+        if ((this._Id != value)) {
+          this.OnIdChanging(value);
+          this.SendPropertyChanging();
+          this._Id = value;
+          this.SendPropertyChanged("Id");
+          this.OnIdChanged();
+        }
+      }
+    }
+
+    [global::System.Data.Linq.Mapping.ColumnAttribute(Storage = "_Name", DbType = "NVarChar(300) NOT NULL", CanBeNull = false)]
+    public string Name {
+      get {
+        return this._Name;
+      }
+      set {
+        if ((this._Name != value)) {
+          this.OnNameChanging(value);
+          this.SendPropertyChanging();
+          this._Name = value;
+          this.SendPropertyChanged("Name");
+          this.OnNameChanged();
+        }
+      }
+    }
+
+    [global::System.Data.Linq.Mapping.ColumnAttribute(Storage = "_Version", DbType = "NVarChar(50) NOT NULL", CanBeNull = false)]
+    public string Version {
+      get {
+        return this._Version;
+      }
+      set {
+        if ((this._Version != value)) {
+          this.OnVersionChanging(value);
+          this.SendPropertyChanging();
+          this._Version = value;
+          this.SendPropertyChanged("Version");
+          this.OnVersionChanged();
+        }
+      }
+    }
+
+    [global::System.Data.Linq.Mapping.ColumnAttribute(Storage = "_ContactName", DbType = "Text", UpdateCheck = UpdateCheck.Never)]
+    public string ContactName {
+      get {
+        return this._ContactName;
+      }
+      set {
+        if ((this._ContactName != value)) {
+          this.OnContactNameChanging(value);
+          this.SendPropertyChanging();
+          this._ContactName = value;
+          this.SendPropertyChanged("ContactName");
+          this.OnContactNameChanged();
+        }
+      }
+    }
+
+    [global::System.Data.Linq.Mapping.ColumnAttribute(Storage = "_ContactEmail", DbType = "Text", UpdateCheck = UpdateCheck.Never)]
+    public string ContactEmail {
+      get {
+        return this._ContactEmail;
+      }
+      set {
+        if ((this._ContactEmail != value)) {
+          this.OnContactEmailChanging(value);
+          this.SendPropertyChanging();
+          this._ContactEmail = value;
+          this.SendPropertyChanged("ContactEmail");
+          this.OnContactEmailChanged();
+        }
+      }
+    }
+
+    [global::System.Data.Linq.Mapping.ColumnAttribute(Storage = "_License", DbType = "Text", UpdateCheck = UpdateCheck.Never)]
+    public string License {
+      get {
+        return this._License;
+      }
+      set {
+        if ((this._License != value)) {
+          this.OnLicenseChanging(value);
+          this.SendPropertyChanging();
+          this._License = value;
+          this.SendPropertyChanged("License");
+          this.OnLicenseChanged();
+        }
+      }
+    }
+
+    [global::System.Data.Linq.Mapping.AssociationAttribute(Name = "Plugin_PluginPackage", Storage = "_PluginPackage", ThisKey = "Id", OtherKey = "PluginId", IsUnique = true, IsForeignKey = false)]
+    public PluginPackage PluginPackage {
+      get {
+        return this._PluginPackage.Entity;
+      }
+      set {
+        PluginPackage previousValue = this._PluginPackage.Entity;
+        if (((previousValue != value)
+              || (this._PluginPackage.HasLoadedOrAssignedValue == false))) {
+          this.SendPropertyChanging();
+          if ((previousValue != null)) {
+            this._PluginPackage.Entity = null;
+            previousValue.Plugin = null;
+          }
+          this._PluginPackage.Entity = value;
+          if ((value != null)) {
+            value.Plugin = this;
+          }
+          this.SendPropertyChanged("PluginPackage");
+        }
+      }
+    }
+
+    public event PropertyChangingEventHandler PropertyChanging;
+
+    public event PropertyChangedEventHandler PropertyChanged;
+
+    protected virtual void SendPropertyChanging() {
+      if ((this.PropertyChanging != null)) {
+        this.PropertyChanging(this, emptyChangingEventArgs);
+      }
+    }
+
+    protected virtual void SendPropertyChanged(String propertyName) {
+      if ((this.PropertyChanged != null)) {
+        this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
+      }
+    }
+  }
+
+  [global::System.Data.Linq.Mapping.TableAttribute(Name = "dbo.PluginPackage")]
+  public partial class PluginPackage : INotifyPropertyChanging, INotifyPropertyChanged {
+
+    private static PropertyChangingEventArgs emptyChangingEventArgs = new PropertyChangingEventArgs(String.Empty);
+
+    private long _PluginId;
+
+    private System.Data.Linq.Binary _Data;
+
+    private EntityRef<Plugin> _Plugin;
+
     #region Extensibility Method Definitions
     partial void OnLoaded();
@@ -526,122 +439,99 @@
     partial void OnDataChanged();
     #endregion
-		
-		public PluginPackage()
-		{
-			this._Plugin = default(EntityRef<Plugin>);
-			OnCreated();
-		}
-		
-		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_PluginId", DbType="BigInt NOT NULL", IsPrimaryKey=true)]
-		public long PluginId
-		{
-			get
-			{
-				return this._PluginId;
-			}
-			set
-			{
-				if ((this._PluginId != value))
-				{
-					if (this._Plugin.HasLoadedOrAssignedValue)
-					{
-						throw new System.Data.Linq.ForeignKeyReferenceAlreadyHasValueException();
-					}
-					this.OnPluginIdChanging(value);
-					this.SendPropertyChanging();
-					this._PluginId = value;
-					this.SendPropertyChanged("PluginId");
-					this.OnPluginIdChanged();
-				}
-			}
-		}
-		
-		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Data", DbType="Image NOT NULL", CanBeNull=false, UpdateCheck=UpdateCheck.Never)]
-		public System.Data.Linq.Binary Data
-		{
-			get
-			{
-				return this._Data;
-			}
-			set
-			{
-				if ((this._Data != value))
-				{
-					this.OnDataChanging(value);
-					this.SendPropertyChanging();
-					this._Data = value;
-					this.SendPropertyChanged("Data");
-					this.OnDataChanged();
-				}
-			}
-		}
-		
-		[global::System.Data.Linq.Mapping.AssociationAttribute(Name="Plugin_PluginPackage", Storage="_Plugin", ThisKey="PluginId", OtherKey="Id", IsForeignKey=true)]
-		public Plugin Plugin
-		{
-			get
-			{
-				return this._Plugin.Entity;
-			}
-			set
-			{
-				Plugin previousValue = this._Plugin.Entity;
-				if (((previousValue != value) 
-							|| (this._Plugin.HasLoadedOrAssignedValue == false)))
-				{
-					this.SendPropertyChanging();
-					if ((previousValue != null))
-					{
-						this._Plugin.Entity = null;
-						previousValue.PluginPackage = null;
-					}
-					this._Plugin.Entity = value;
-					if ((value != null))
-					{
-						value.PluginPackage = this;
-						this._PluginId = value.Id;
-					}
-					else
-					{
-						this._PluginId = default(long);
-					}
-					this.SendPropertyChanged("Plugin");
-				}
-			}
-		}
-		
-		public event PropertyChangingEventHandler PropertyChanging;
-		
-		public event PropertyChangedEventHandler PropertyChanged;
-		
-		protected virtual void SendPropertyChanging()
-		{
-			if ((this.PropertyChanging != null))
-			{
-				this.PropertyChanging(this, emptyChangingEventArgs);
-			}
-		}
-		
-		protected virtual void SendPropertyChanged(String propertyName)
-		{
-			if ((this.PropertyChanged != null))
-			{
-				this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
-			}
-		}
-	}
-	
-	[global::System.Data.Linq.Mapping.TableAttribute(Name="dbo.Product")]
-	public partial class Product : INotifyPropertyChanging, INotifyPropertyChanged
-	{
-		
-		private static PropertyChangingEventArgs emptyChangingEventArgs = new PropertyChangingEventArgs(String.Empty);
-		
-		private long _Id;
-		
-		private string _Name;
-		
-		private string _Version;
-		
+
+    public PluginPackage() {
+      this._Plugin = default(EntityRef<Plugin>);
+      OnCreated();
+    }
+
+    [global::System.Data.Linq.Mapping.ColumnAttribute(Storage = "_PluginId", DbType = "BigInt NOT NULL", IsPrimaryKey = true)]
+    public long PluginId {
+      get {
+        return this._PluginId;
+      }
+      set {
+        if ((this._PluginId != value)) {
+          if (this._Plugin.HasLoadedOrAssignedValue) {
+            throw new System.Data.Linq.ForeignKeyReferenceAlreadyHasValueException();
+          }
+          this.OnPluginIdChanging(value);
+          this.SendPropertyChanging();
+          this._PluginId = value;
+          this.SendPropertyChanged("PluginId");
+          this.OnPluginIdChanged();
+        }
+      }
+    }
+
+    [global::System.Data.Linq.Mapping.ColumnAttribute(Storage = "_Data", DbType = "Image NOT NULL", CanBeNull = false, UpdateCheck = UpdateCheck.Never)]
+    public System.Data.Linq.Binary Data {
+      get {
+        return this._Data;
+      }
+      set {
+        if ((this._Data != value)) {
+          this.OnDataChanging(value);
+          this.SendPropertyChanging();
+          this._Data = value;
+          this.SendPropertyChanged("Data");
+          this.OnDataChanged();
+        }
+      }
+    }
+
+    [global::System.Data.Linq.Mapping.AssociationAttribute(Name = "Plugin_PluginPackage", Storage = "_Plugin", ThisKey = "PluginId", OtherKey = "Id", IsForeignKey = true)]
+    public Plugin Plugin {
+      get {
+        return this._Plugin.Entity;
+      }
+      set {
+        Plugin previousValue = this._Plugin.Entity;
+        if (((previousValue != value)
+              || (this._Plugin.HasLoadedOrAssignedValue == false))) {
+          this.SendPropertyChanging();
+          if ((previousValue != null)) {
+            this._Plugin.Entity = null;
+            previousValue.PluginPackage = null;
+          }
+          this._Plugin.Entity = value;
+          if ((value != null)) {
+            value.PluginPackage = this;
+            this._PluginId = value.Id;
+          } else {
+            this._PluginId = default(long);
+          }
+          this.SendPropertyChanged("Plugin");
+        }
+      }
+    }
+
+    public event PropertyChangingEventHandler PropertyChanging;
+
+    public event PropertyChangedEventHandler PropertyChanged;
+
+    protected virtual void SendPropertyChanging() {
+      if ((this.PropertyChanging != null)) {
+        this.PropertyChanging(this, emptyChangingEventArgs);
+      }
+    }
+
+    protected virtual void SendPropertyChanged(String propertyName) {
+      if ((this.PropertyChanged != null)) {
+        this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
+      }
+    }
+  }
+
+  [global::System.Data.Linq.Mapping.TableAttribute(Name = "dbo.Product")]
+  public partial class Product : INotifyPropertyChanging, INotifyPropertyChanged {
+
+    private static PropertyChangingEventArgs emptyChangingEventArgs = new PropertyChangingEventArgs(String.Empty);
+
+    private long _Id;
+
+    private string _Name;
+
+    private string _Version;
+
     #region Extensibility Method Definitions
     partial void OnLoaded();
